<?php
#CATEGORIA
			
if(isset($_POST['salvar_categoria'])) {

$nome			=	$_POST['nome'];
$descricao		=	$_POST['descricao'];
if($_FILES['foto']['name'] === ""){
	$destino2 = "";
} else {
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".jpg";
	$destino		=	"../images/categoria/".$arquivo2;
	$destino2		=	$arquivo2;	

}
$desc_seo		=	$_POST['descricao_seo'];
$titulo			=	$_POST['title'];
$menu			=	$_POST['menu'];
$status			=	$_POST['status'];
$ordem			=	$_POST['ordem'];
$filiacao		=	$_POST['filiacao'];
$url_seo		=   preg_replace("[^a-zA-Z0-9_]", "", strtr($_POST['url_seo'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC"));
$url_seon		=   strtr($_POST['nome'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC");

if($_POST['url_seo'] == ""){
	$url_seo		= toAscii($url_seon, '', '-');
} else {
	$url_seo	=	toAscii($url_seo, '', '-');
}

$select = mysql_query("SELECT * FROM tb_categoria WHERE url_seo = '$url_seo'");
if(mysql_num_rows($select) > 0){
	$url_seo =	$url_seo."-".date("ms");
}

$insert	= "INSERT INTO tb_categoria (nome, descricao, imagem, titulo_seo, desc_seo, url_seo, ordem, filiacao, menu, status) VALUES ('$nome', '$descricao', '$destino2', '$titulo', '$desc_seo', '$url_seo', $ordem, $filiacao, $menu, $status)";

if($query	= mysql_query($insert)){

	$cod 	=	mysql_insert_id();


	for($i = 0; $i < count($_POST["relacionados"]); $i++) {
  

	  $value				=	$_POST["relacionados"][$i];
	  $ordemProd				=	$_POST["ordemProd"][$i];
	  if($ordemProd == ""){ $ordemProd = 0; }
	  $insertrel			=	"INSERT INTO tb_prod_cat (cod_prod, cod_cat, ordem) VALUES ($value, $cod, $ordemProd)";
	  $queryrel				=	mysql_query($insertrel);
	  
     }
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
	}

echo "<p class='return-form'>Categoria cadastrada.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao cadastrar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
	
#DELETAR CATEGORIA

if(isset($_GET['delcat'])) {

$delcod			=	$_GET['delcat'];
$select			=  "SELECT * FROM tb_categoria WHERE cod = $delcod";
$querysel			=	mysql_query($select);
$sqlsel			=	mysql_fetch_array($querysel);

if($sqlsel['imagem'] <> ""){
unlink("../images/categoria/".$sqlsel['imagem']);	 
}

$delete 			= "DELETE FROM tb_categoria WHERE cod = $delcod";
$querydel			=  mysql_query($delete) or die(mysql_error());

	
echo "<p class='return-form'>Categoria excluida.</p>";
}



#EDITAR CATEGORIA
if(isset($_POST['editar_categoria'])){

$cod			=	$_POST['cod'];	
$nome			=	$_POST['nome'];
$descricao		=	$_POST['descricao'];
if($_FILES['foto']['name'] === ""){
	$destino2 = $_POST['foto2'];
} else {
	
	
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".jpg";
	$destino		=	"../images/categoria/".$arquivo2;
	$destino2		=	$arquivo2;	

}
$desc_seo		=	$_POST['descricao_seo'];
$titulo			=	$_POST['title'];
$status			=	$_POST['status'];
$menu			=	$_POST['menu'];
$ordem			=	$_POST['ordem'];
$filiacao		=	$_POST['filiacao'];
$url_seo		=   preg_replace("[^a-zA-Z0-9_]", "", strtr($_POST['url_seo'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC"));
$url_seon		=   strtr($_POST['nome'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC");

if($_POST['url_seo'] == ""){
	$url_seo		= toAscii($url_seon, '', '-');
} else {
	$url_seo	=	toAscii($url_seo, '', '-');
}

$select = mysql_query("SELECT * FROM tb_categoria WHERE url_seo = '$url_seo' AND cod <> $cod");
if(mysql_num_rows($select) > 0){
	$url_seo =	$url_seo."-".date("ms");
}


$update	= "UPDATE tb_categoria SET nome = '$nome', descricao = '$descricao', imagem = '$destino2', titulo_seo = '$titulo', desc_seo = '$desc_seo', url_seo = '$url_seo', filiacao = $filiacao, ordem = $ordem, menu = $menu, status = $status WHERE cod = $cod";
if($queryupdate	=	mysql_query($update)){

	mysql_query("DELETE FROM tb_prod_cat WHERE cod_cat = $cod");

	for($i = 0; $i < count($_POST["relacionados"]); $i++) {
  

	  $value				=	$_POST["relacionados"][$i];
	  $ordemProd				=	$_POST["ordemProd"][$i];
	  if($ordemProd == ""){ $ordemProd = 0; }
	  $insertrel			=	"INSERT INTO tb_prod_cat (cod_prod, cod_cat, ordem) VALUES ($value, $cod, $ordemProd)";
	  $queryrel				=	mysql_query($insertrel);
	  
     }
	
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
		if($_POST['foto2'] <> ""){
			unlink("../images/categoria/".$_POST['foto2']);
		}
	}
	
	echo "<p class='return-form'>Categoria alterada.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao editar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
?>